---
apiVersion: certmanager.k8s.io/v1alpha1
kind: ClusterIssuer
metadata:
  name: letsencrypt-prod
spec:
  acme:
    # The ACME server URL
    #server: https://acme-staging.api.letsencrypt.org/directory
    server: https://acme-v02.api.letsencrypt.org/directory
    # Email address used for ACME registration
    email: admin@example.com
    # Name of a secret used to store the ACME account private key
    privateKeySecretRef:
      name: letsencrypt-prod
    http01: {}
    dns01:
      providers:
        - name: prod-dns
          clouddns:
            serviceAccountSecretRef:
              name: clouddns
              key: my-project-account.json
            project: my-project
---
apiVersion: certmanager.k8s.io/v1alpha1
kind: ClusterIssuer
metadata:
  name: letsencrypt-staging
spec:
  acme:
    # The ACME server URL
    server: https://acme-staging-v02.api.letsencrypt.org/directory
    #server: https://acme-v01.api.letsencrypt.org/directory
    # Email address used for ACME registration
    email: admin@example.com
    # Name of a secret used to store the ACME account private key
    privateKeySecretRef:
      name: letsencrypt-staging
    http01: {}
    dns01:
      providers:
        - name: staging-dns
          clouddns:
            serviceAccountSecretRef:
              name: clouddns
              key: my-project-account.json
            project: my-project
